package com.muyu.core.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author: DongZeLiang
 * @date: 2024/8/28
 * @Description: 数据值
 * @Version: 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DataValue {

    /**
     * 描述
     */
    private String label;
    /**
     * 通常代表 ‌Key‌，在Java集合框架中，K常用于表示键（Key）的类型，特别是在处理键值对的数据结构如Map时
     */
    private String key;
    /**
     * 与K相对应，V常用于表示值（Value）的类型，在Map等键值对数据结构中，V表示与K相关联的值
     */
    private Object value;
    /**
     * 在泛型中，T是一个占位符，用于表示任何具体的类型，它可以被替换为任何类型，如类、接口或基本类型
     */
    private String type;
}
